sonnet Sonnet import error - Python

fabiof@x:~$ python3
Python 3.5.2 (default, Nov 12 2018, 13:43:14)
[GCC 5.4.0 20160609] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> import sonnet
In file included from /usr/lib/python3/dist-packages/numpy/core/include/numpy/ndarraytypes.h:1777:0,
                 from /usr/lib/python3/dist-packages/numpy/core/include/numpy/ndarrayobject.h:18,
                 from /usr/lib/python3/dist-packages/numpy/core/include/numpy/arrayobject.h:4,
                 from /sailhome/fabiof/.pyxbld/temp.linux-x86_64-3.5/pyrex/graphs/mixins/_betweenness_helper.c:613:
/usr/lib/python3/dist-packages/numpy/core/include/numpy/npy_1_7_deprecated_api.h:15:2: warning: #warning "Using deprecated NumPy API, disable it by " "#defining NPY_NO_DEPRECATED_API NPY_1_7_API_VERSION" [-Wcpp]
 #warning "Using deprecated NumPy API, disable it by " \
  ^
/sailhome/fabiof/.pyxbld/temp.linux-x86_64-3.5/pyrex/graphs/mixins/_betweenness_helper.c:615:15: fatal error: ios: No such file or directory
compilation terminated.
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/sailhome/fabiof/.local/lib/python3.5/site-packages/sonnet/__init__.py", line 2, in <module>
    from graphs import Sonnet, D3Graph, MatplotGraph
ImportError: cannot import name 'Sonnet'
>>>
fabiof@x:~$ pip show sonnet | grep Version
Version: 0.1.6
fabiof@x:~$ pip show graphs | grep Version
Version: 0.1.3
fabiof@x:~$ pip show numpy | grep Version
Version: 1.11.0
Asked Oct 31 '21 14:10
avatar ferreirafabio
ferreirafabio

2 Answer:

Solution: replace pip install sonnet with pip install dm-sonnet

1
Answered Dec 09 '18 at 02:50
avatar  of ferreirafabio
ferreirafabio

using pip install dm-sonnet failed for me and maybe you can use pip install dm-sonnet-gpu==1.23 to solve it

1
Answered Sep 27 '20 at 03:21
avatar  of taichuai
taichuai